X2Go Bug report logs - #1325
Nextcloud desktop GUI crashes in XFCE over x2go

version graph

Package: x2goserver-x2goagent; Maintainer for x2goserver-x2goagent is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-x2goagent is src:x2goserver.

Reported by: Thierry Kauffmann <thierry@pielo.net>

Date: Mon, 27 Aug 2018 12:05:02 UTC

Severity: normal

Tags: pending

Fixed in version 4.1.0.3

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver. (Mon, 27 Aug 2018 12:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Kauffmann <thierry@pielo.net>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 27 Aug 2018 12:05:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Thierry Kauffmann <thierry@pielo.net>
To: submit@bugs.x2go.org
Subject: Nextcloud desktop GUI crashes in XFCE over x2go
Date: Mon, 27 Aug 2018 13:50:38 +0200
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.2


Hi,
Nextcloud desktop works well under XFCE over X2go. Syncing is ok and I
get a nice green icon in notification bar.
The GUI used to work perfectly until recently (a few days or weeks). Now
I can't launch the GUI and modify parameters : Nextcloud desktop GUI
crashes immediately.

I get the following log :

|08-27 10:35:45:796 1290 OCC::ownCloudGui::slotShowSettings: void
OCC::ownCloudGui::slotShowSettings() 08-27 10:35:45:853 1290 unknown:
The X11 connection broke: Maximum allowed requested length exceeded
(code 4) XIO: fatal IO error 2 (Aucun fichier ou dossier de ce type) on
X server ":50.0" after 391 requests (391 known processed) with 0 events
remaining. |

Any idea what is going wrong ?

Thierry



[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver. (Tue, 18 Sep 2018 14:40:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 18 Sep 2018 14:40:05 GMT) Full text and rfc822 format available.

Message #10 received at 1325@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Thierry Kauffmann <thierry@pielo.net>, 1325@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1325: Nextcloud desktop GUI crashes in XFCE over x2go
Date: Tue, 18 Sep 2018 16:39:08 +0200
[Message part 1 (text/plain, inline)]
Try to enable BIG-REQUESTS in /etc/x2go/x2goagent.options

Uli

Thierry Kauffmann <thierry@pielo.net> schrieb am Di., 18. Sep. 2018, 14:30:

> Package: x2goserver
> Version: 4.1.0.2
>
>
>
> Hi,
> Nextcloud desktop works well under XFCE over X2go. Syncing is ok and I get
> a nice green icon in notification bar.
> The GUI used to work perfectly until recently (a few days or weeks). Now I
> can't launch the GUI and modify parameters : Nextcloud desktop GUI crashes
> immediately.
>
> I get the following log :
> 08-27 10:35:45:796 1290 OCC::ownCloudGui::slotShowSettings: void
> OCC::ownCloudGui::slotShowSettings() 08-27 10:35:45:853 1290 unknown: The
> X11 connection broke: Maximum allowed requested length exceeded (code 4)
> XIO: fatal IO error 2 (Aucun fichier ou dossier de ce type) on X server
> ":50.0" after 391 requests (391 known processed) with 0 events remaining.
>
> Any idea what is going wrong ?
>
> Thierry
>
>
>
>  _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver. (Wed, 21 Nov 2018 20:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 21 Nov 2018 20:55:02 GMT) Full text and rfc822 format available.

Message #15 received at 1325@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, 1325@bugs.x2go.org
Cc: Thierry Kauffmann <thierry@pielo.net>, Ionic@ionic.de
Subject: Re: [X2Go-Dev] Bug#1325: Bug#1325: Nextcloud desktop GUI crashes in XFCE over x2go
Date: Wed, 21 Nov 2018 20:37:52 +0000
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goserver-x2goagent

On  Di 18 Sep 2018 16:39:08 CEST, Ulrich Sibiller wrote:

> Try to enable BIG-REQUESTS in /etc/x2go/x2goagent.options
>
> Uli
>
> Thierry Kauffmann <thierry@pielo.net> schrieb am Di., 18. Sep. 2018, 14:30:
>
>> Package: x2goserver
>> Version: 4.1.0.2
>>
>>
>>
>> Hi,
>> Nextcloud desktop works well under XFCE over X2go. Syncing is ok and I get
>> a nice green icon in notification bar.
>> The GUI used to work perfectly until recently (a few days or weeks). Now I
>> can't launch the GUI and modify parameters : Nextcloud desktop GUI crashes
>> immediately.
>>
>> I get the following log :
>> 08-27 10:35:45:796 1290 OCC::ownCloudGui::slotShowSettings: void
>> OCC::ownCloudGui::slotShowSettings() 08-27 10:35:45:853 1290 unknown: The
>> X11 connection broke: Maximum allowed requested length exceeded (code 4)
>> XIO: fatal IO error 2 (Aucun fichier ou dossier de ce type) on X server
>> ":50.0" after 391 requests (391 known processed) with 0 events remaining.
>>
>> Any idea what is going wrong ?
>>
>> Thierry

@Mihai: this issue should be closed with releasing 3.5.99.17 of  
nx-libs in X2Go.

Well, plus re-enabling the BIGREQ extenstion by default in x2goagent.options.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package 'x2goserver' to 'x2goserver-x2goagent'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1325-submit@bugs.x2go.org. (Wed, 21 Nov 2018 20:55:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.1.0.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 1325-submit@bugs.x2go.org. (Wed, 21 Nov 2018 20:55:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver-x2goagent. (Thu, 22 Nov 2018 08:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 22 Nov 2018 08:45:03 GMT) Full text and rfc822 format available.

Message #24 received at 1325@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 1325-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1325@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 22 Nov 2018 09:44:25 +0100 (CET)
tag #1325 pending
fixed #1325 4.1.0.3
thanks

Hello,

X2Go issue #1325 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a8b6e14

The issue will most likely be fixed in src:x2goserver (4.1.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a8b6e149c34d7de43aa5d50299851d7749548b3b
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Nov 22 09:43:47 2018 +0100

    x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS; newer nx-libs versions (3.5.99.17+) should handle this much better. Fixes: #1325. Fixes: #1321.

diff --git a/debian/changelog b/debian/changelog
index bc9e1d6..c1c3fa4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -72,6 +72,9 @@ x2goserver (4.1.0.3-0x2go1) UNRELEASED; urgency=medium
     - x2goserver/bin/x2goversion: more curly braces, quotes etc.
     - x2goserver/bin/x2gostartagent: use single quotes instead of double
       quotes for literal strings.
+    - x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS;
+      newer nx-libs versions (3.5.99.17+) should handle this much better.
+      Fixes: #1325. Fixes: #1321.
   * x2goserver.spec:
     + Pull in openSUSE-release manually on OpenSuSE Tumbleweed to work around
       a bug.


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 22 Nov 2018 08:45:04 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.3. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 22 Nov 2018 08:45:04 GMT) Full text and rfc822 format available.

Message sent on to Thierry Kauffmann <thierry@pielo.net>:
Bug#1325. (Thu, 22 Nov 2018 08:45:05 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver-x2goagent. (Thu, 29 Nov 2018 05:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 29 Nov 2018 05:00:05 GMT) Full text and rfc822 format available.

Message #36 received at 1325@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1325-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1325@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Thu, 29 Nov 2018 05:56:49 +0100 (CET)
close #1325
thanks

Hello,

we are very hopeful that X2Go issue #1325 reported by you
has been resolved in the new release (4.1.0.3) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.1.0.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=2f9ba747f837b253b08e35d26d4f7e022e09f6a2;hp=248ee80e769a6ddd2de820d022cc8ee440525dd6

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.1.0.3-0x2go1
Status: RELEASE
Date: Thu, 29 Nov 2018 05:55:21 +0100
Fixes: 1322 1325
Changes:
 x2goserver (4.1.0.3-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (4.1.0.3)
     - x2goserver.service: Add Documentation= key.
     - x2goserver/lib/x2gocheckport: chmod a+x.
     - New bin:pkg: x2goserver-desktopsharing. Move all desktop sharing
       integration logic from x2godesktopsharing to x2goserver src:pkg.
     - Don't rely on "ln -sf" to remove a symlink before recreating it. If the
       target is non-writable, this may fail (observed on a Debian stretch
       system). Thus, removing the symlink file first and then recreating it.
     - Massive white-space cleanup (at EOLs).
     - x2goserver/bin/x2goruncommand: Support IceWM as desktop session type.
   * debian/x2goserver*.dirs:
     + Let dirs have a trailing slash in their path (for the human eye merely).
   * debian/copyright:
     + Regenerate auto-generated copyright.in file.
     + Adopt from recent Debian packaging.
     + Add x2goserver.spec.
   * debian/control:
     + Move xfonts-base from D to R. Thanks lintian.
     + Move C (x2goserver) with versioned x2godesktopsharing, to B.
     + Don't depend on essential package without version. Drop bash from D.
     + Bump Standards-Version: to 4.2.1. No changes needed.
     + Mention "client side printing support" also in descr of bin:pkg
       x2goserver-common.
   * debian/*.postinst:
     + Avoid recursive chmod/chown. Recursive chown/chmod is susceptible to
       hardlink attacks on mainline, non-Debian kernels.
   * debian/x2goserver.postinst:
     + Load debconf module, even if not used (Debian Policy demand).
   * debian/*.templates:
     + Move x2goserver and x2goserver-desktopsharing templates into separate
       files.
   * debian/po:
     + Add French translation. Thanks to Jean-Pierre Giraud from the Debian
       project. (Closes DBTS:#905931).
   * lintian:
     + Drop unused debian/x2goserver-printing.lintian-overrides.
   * debian/*: White-space cleanup.
   * x2goserver.spec:
     + Mention "client side printing support" in all pkg descriptions.
     + Regression fix: Use "desktopsharing" package name above its description,
       not copy+pasted "extensions".
     + Regression fix: Make /etc/x2go/desktopsharing be owned by x2goserver-
       desktopsharing.
     + Exclude x2go*-desktopsharing scripts and man page in %files x2goserver.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.3):
     - x2goserver/lib/x2gocheckport: remove executable flag. This file is STILL
       not meant to be executed directly.
     - libx2go-server-db-perl/Makefile: make sure our {C,LD}FLAGS are always
       appended to the user-provided ones.
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: replace
       historical "egrep" with "grep -E".
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: don't use
       negative exit codes.
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: more curly
       braces, quotes etc.
     - x2goserver-extensions/bin/x2goserver-run-extensions: replace historical
       "egrep" with "grep -E".
     - x2goserver-extensions/bin/x2goserver-run-extensions: don't use negative
       exit codes.
     - x2goserver-extensions/bin/x2goserver-run-extensions: more curly braces,
       quotes etc.
     - x2goserver/bin/x2gofeaturelist: replace historical "egrep" with "grep
       -E".
     - x2goserver/bin/x2gofeaturelist: more curly braces, quotes etc.
     - x2goserver/bin/x2goruncommand: replace historical "egrep" with "grep
       -E".
     - x2goserver/bin/x2goversion: replace historical "egrep" with "grep -E".
     - x2goserver/bin/x2goversion: more curly braces, quotes etc.
     - x2goserver/bin/x2gostartagent: use single quotes instead of double
       quotes for literal strings.
     - x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS;
       newer nx-libs versions (3.5.99.17+) should handle this much better.
       Fixes: #1325. Fixes: #1321.
     - misc: copyright updates, but for contributors who haven't been active or
       requested not to be bumped.
     - misc: switch to HTTPS-based URLs where appropriate.
     - misc: update Oleksandr's email address.
     - misc manpages: pre-release date update.
     - libx2go-server-db-perl/src/libx2go-server-db-sqlite3-wrapper.c: revamp
       wrapper, alike to what was done in x2gobroker.
   * x2goserver.spec:
     + Pull in openSUSE-release manually on OpenSuSE Tumbleweed to work around
       a bug.
     + Also pass %{__global_{c{,pp},ld}flags} down via {C,LD}FLAGS.
     + Bump nxagent dependency up to 3.5.99.17+.
   * debian/x2goserver-desktopsharing.postinst:
     + More curly braces, quotes etc.
   * debian/x2goserver-desktopsharing.config:
     + More curly braces, quotes etc.
   * debian/x2goserver-desktopsharing.postrm:
     + More curly braces, quotes etc.
   * debian/libx2go-server-db-perl.postinst:
     + Replace historical "egrep" with "grep -E".
   * debian/x2goserver.config:
     + Replace historical "egrep" with "grep -E".
     + More curly braces, quotes etc.
   * debian/control:
     + Bump nxagent dependency up to 3.5.99.17+.
   * debian/copyright{,.in}:
     + Merge copyright entries.
     + Fix links to our wiki and update to HTTPS.
 .
   [ Orion Poplawski ]
   * New upstream version (4.1.0.3):
     - x2goserver{/bin/x2gostartagent,-x2goagent/etc/x2goagent.options}: allow
       setting nxagent nx/nx options on the server via x2goagent.options.
       Fixes: #1322.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 29 Nov 2018 05:05:06 GMT) Full text and rfc822 format available.

Notification sent to Thierry Kauffmann <thierry@pielo.net>:
Bug acknowledged by developer. (Thu, 29 Nov 2018 05:05:06 GMT) Full text and rfc822 format available.

Message sent on to Thierry Kauffmann <thierry@pielo.net>:
Bug#1325. (Thu, 29 Nov 2018 05:05:08 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver-x2goagent. (Thu, 29 Nov 2018 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 29 Nov 2018 07:15:04 GMT) Full text and rfc822 format available.

Message #48 received at 1325@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 1325-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1325@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 29 Nov 2018 08:14:46 +0100 (CET)
tag #1325 pending
fixed #1325 4.1.0.3
thanks

Hello,

X2Go issue #1325 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=a8b6e14

The issue will most likely be fixed in src:x2goserver (4.1.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit a8b6e149c34d7de43aa5d50299851d7749548b3b
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Nov 22 09:43:47 2018 +0100

    x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS; newer nx-libs versions (3.5.99.17+) should handle this much better. Fixes: #1325. Fixes: #1321.

diff --git a/debian/changelog b/debian/changelog
index bc9e1d6..c1c3fa4 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -72,6 +72,9 @@ x2goserver (4.1.0.3-0x2go1) UNRELEASED; urgency=medium
     - x2goserver/bin/x2goversion: more curly braces, quotes etc.
     - x2goserver/bin/x2gostartagent: use single quotes instead of double
       quotes for literal strings.
+    - x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS;
+      newer nx-libs versions (3.5.99.17+) should handle this much better.
+      Fixes: #1325. Fixes: #1321.
   * x2goserver.spec:
     + Pull in openSUSE-release manually on OpenSuSE Tumbleweed to work around
       a bug.


Message sent on to Thierry Kauffmann <thierry@pielo.net>:
Bug#1325. (Thu, 29 Nov 2018 07:15:08 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver-x2goagent. (Fri, 30 Nov 2018 20:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Kauffmann <thierry@pielo.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 30 Nov 2018 20:00:05 GMT) Full text and rfc822 format available.

Message #56 received at 1325@bugs.x2go.org (full text, mbox):

From: Thierry Kauffmann <thierry@pielo.net>
To: 1325@bugs.x2go.org
Subject: Other error - Nextcloud client still not functionning
Date: Fri, 30 Nov 2018 20:46:07 +0100
[Message part 1 (text/plain, inline)]
Hi,

unfortunately the new release did not solve the problem with new
nextcloud client.

With x2goserver 4.1.0.3 and nextcloud-client 2.5.0 in an lxc container I
encounter following error :

Gkr-Message: 20:08:21.755: secret service operation failed: Did not
receive a reply. Possible causes include: the remote application did not
send a reply, the message bus security policy blocked the reply, the
reply timeout expired, or the network connection was broken.
[1044:1221:1130/200822.207292:ERROR:gl_surface_qt.cpp(241)] GLX 1.3 or
later is required.
[1044:1221:1130/200822.207353:ERROR:gl_surface_qt.cpp(371)]
GLContextHelper::getEGLDisplay() failed.
WARNING: Application calling GLX 1.3 function "glXCreatePbuffer" when
GLX 1.3 is not supported!  This is an application bug!
[1044:1221:1130/200824.068135:ERROR:gl_surface_qt.cpp(667)] Requested
OpenGL implementation is not supported. Implementation: 0
*** stack smashing detected ***: <unknown> terminated
Abandon

It looks like GLX 1.3 is unavailable...

I still can not use Nextcloud client :(

Regards,

Thierry



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1325; Package x2goserver-x2goagent. (Fri, 30 Nov 2018 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thierry Kauffmann <thierry@pielo.net>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 30 Nov 2018 20:15:03 GMT) Full text and rfc822 format available.

Message #61 received at 1325@bugs.x2go.org (full text, mbox):

From: Thierry Kauffmann <thierry@pielo.net>
To: 1325@bugs.x2go.org
Subject: GLX error solved with workaround
Date: Fri, 30 Nov 2018 21:10:11 +0100
[Message part 1 (text/plain, inline)]
Hi,

Following this workaround :
https://wiki.x2go.org/doku.php/wiki:development:glx-xlib-workaround did
the trick !

The workaround also works for ubuntu 18.04. I just replaced "aptitude"
by "apt".

I had to chown -R <me>:<me> mesa-18.0.5/ to be able to compile.

Now modifying nextcloud client launch sequence !

Cheers,

Thierry


[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Dec 15 11:19:22 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.